Clutter::ActorBox Class Reference

List of all members.

## Public Member Functions

| ActorBox ()
| ActorBox (const ClutterActorBox* gobject)
ClutterActorBox* | gobj ()
| Provides access to the underlying C instance.
const ClutterActorBox* | gobj () const
| Provides access to the underlying C instance.
| ActorBox (float x1, float y1, float x2, float y2)
void | get_origin (float& x, float& y) const
| Retrieves the origin of box.
void | get_size (float& width, float& height) const
| Retrieves the size of box.
float | get_area () const
| Retrieves the area of box.
bool | contains (float x, float y) const
| Checks whether a point with x, y coordinates is contained withing box.
void | clamp_to_pixel ()
| Clamps the components of box to the nearest integer.
float | get_x1 () const
void | set_x1 (const float&value)
float | get_y1 () const
void | set_y1 (const float&value)
float | get_x2 () const
void | set_x2 (const float&value)
float | get_y2 () const
void | set_y2 (const float&value)

## Protected Attributes

ClutterActorBox | gobject_

## Related Functions

(Note that these are not member functions.)
Clutter::ActorBox& | wrap (ClutterActorBox* object)
const Clutter::ActorBox& | wrap (const ClutterActorBox* object)

## Constructor & Destructor Documentation

Clutter::ActorBox::ActorBox | ( |  | ) |

Clutter::ActorBox::ActorBox | ( | const ClutterActorBox * | gobject | ) | `[explicit]`

Clutter::ActorBox::ActorBox | ( | float | x1,
|  | float | y1,
|  | float | x2,
|  | float | y2
| ) |  |

## Member Function Documentation

void Clutter::ActorBox::clamp_to_pixel | ( |  | ) |

Clamps the components of box to the nearest integer.

Since cluttermm 1.2:

bool Clutter::ActorBox::contains | ( | float | x,
|  | float | y
| ) |  | const

Checks whether a point with x, y coordinates is contained withing box.

Since cluttermm 1.0:

Parameters:

  x | X coordinate of the point.
  y | Y coordinate of the point.

Returns:
  `true` if the point is contained by the Clutter::ActorBox.

float Clutter::ActorBox::get_area | ( |  | ) | const

Retrieves the area of box.

Since cluttermm 1.0:

Returns:
  The area of a Clutter::ActorBox, in pixels.

void Clutter::ActorBox::get_origin | ( | float & | x,
|  | float & | y
| ) |  | const

Retrieves the origin of box.

Since cluttermm 1.0:

Parameters:

  x | Return location for the X coordinate, or `0`.
  y | Return location for the Y coordinate, or `0`.

void Clutter::ActorBox::get_size | ( | float & | width,
|  | float & | height
| ) |  | const

Retrieves the size of box.

Since cluttermm 1.0:

Parameters:

  width | Return location for the width, or `0`.
  height | Return location for the height, or `0`.

float Clutter::ActorBox::get_x1 | ( |  | ) | const

float Clutter::ActorBox::get_x2 | ( |  | ) | const

float Clutter::ActorBox::get_y1 | ( |  | ) | const

float Clutter::ActorBox::get_y2 | ( |  | ) | const

const ClutterActorBox* Clutter::ActorBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

ClutterActorBox* Clutter::ActorBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

void Clutter::ActorBox::set_x1 | ( | const float & | value | ) |

void Clutter::ActorBox::set_x2 | ( | const float & | value | ) |

void Clutter::ActorBox::set_y1 | ( | const float & | value | ) |

void Clutter::ActorBox::set_y2 | ( | const float & | value | ) |

## Friends And Related Function Documentation

Clutter::ActorBox& wrap | ( | ClutterActorBox * | object | ) | `[related]`

Parameters:

  object | The C instance

Returns:
  A C++ instance that wraps this C instance.

const Clutter::ActorBox& wrap | ( | const ClutterActorBox * | object | ) | `[related]`

Parameters:

  object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

ClutterActorBox Clutter::ActorBox::gobject_ `[protected]`

The documentation for this class was generated from the following file:

- cluttermm/actor.h